tests/utils/utils.sh: gen_mctf_trace(): use `echo` instead of `diag`
[babeltrace.git] / tests / utils / utils.sh
index 1d49b05a6ba2060488e044a764848ffea69338cd..d6d061846f3b53a3a8a8b75b30cc08909f98c328 100644 (file)
@@ -112,7 +112,7 @@ unset -f _source_env_sh
 if [ -z "${BT_TESTS_BT2_BIN:-}" ]; then
        BT_TESTS_BT2_BIN="$BT_TESTS_BUILDDIR/../src/cli/babeltrace2"
        if [ "$BT_TESTS_OS_TYPE" = "mingw" ]; then
-               BT_TESTS_BT2_BIN="${BT_TESTS_BT2_BIN}.exe"
+               BT_TESTS_BT2_BIN+=".exe"
        fi
 fi
 export BT_TESTS_BT2_BIN
@@ -232,7 +232,7 @@ bt_cli() {
        shift 2
        local -r args=("$@")
 
-       echo "Running: $BT_TESTS_BT2_BIN ${args[*]}" >&2
+       echo "Running: \`$BT_TESTS_BT2_BIN ${args[*]}\`" >&2
        run_python_bt2 "$BT_TESTS_BT2_BIN" "${args[@]}" 1>"$stdout_file" 2>"$stderr_file"
 }
 
@@ -249,11 +249,8 @@ bt_cli() {
 bt_diff() {
        local -r expected_file="$1"
        local -r actual_file="$2"
-       local ret=0
 
        diff -u <(bt_remove_cr_inline "$expected_file") <(bt_remove_cr_inline "$actual_file") 1>&2
-
-       return $?
 }
 
 # Checks the difference between:
@@ -280,7 +277,6 @@ bt_diff_cli() {
 
        local -r temp_stdout_output_file="$(mktemp -t actual-stdout.XXXXXX)"
        local -r temp_stderr_output_file="$(mktemp -t actual-stderr.XXXXXX)"
-       local ret=0
 
        bt_cli "$temp_stdout_output_file" "$temp_stderr_output_file" "${args[@]}"
 
@@ -289,13 +285,9 @@ bt_diff_cli() {
        bt_diff "$expected_stderr_file" "$temp_stderr_output_file" "${args[@]}"
        local -r ret_stderr=$?
 
-       if ((ret_stdout != 0 || ret_stderr != 0)); then
-               ret=1
-       fi
-
        rm -f "$temp_stdout_output_file" "$temp_stderr_output_file"
 
-       return $ret
+       return $((ret_stdout || ret_stderr))
 }
 
 # Checks the difference between:
@@ -316,10 +308,9 @@ bt_diff_details_ctf_single() {
        local -r trace_dir="$2"
        shift 2
        local -r extra_details_args=("$@")
-       expected_stderr_file="/dev/null"
 
        # Compare using the CLI with `sink.text.details`
-       bt_diff_cli "$expected_stdout_file" "$expected_stderr_file" "$trace_dir" \
+       bt_diff_cli "$expected_stdout_file" /dev/null "$trace_dir" \
                "-c" "sink.text.details" "${extra_details_args[@]+${extra_details_args[@]}}"
 }
 
@@ -338,7 +329,7 @@ bt_diff_details_ctf_gen_single() {
 
        # Run the CTF trace generator program to get a CTF trace
        if ! "$ctf_gen_prog_path" "$temp_trace_dir" 2>/dev/null; then
-               echo "ERROR: \"$ctf_gen_prog_path\" \"$temp_trace_dir\" failed" >&2
+               echo "ERROR: \`$ctf_gen_prog_path $temp_trace_dir\` failed" >&2
                rm -rf "$temp_trace_dir"
                return 1
        fi
@@ -356,31 +347,34 @@ bt_grep() {
        "$BT_TESTS_GREP_BIN" "$@"
 }
 
-# ok() with the test name `$3` on the result of bt_grep() matching the
-# pattern `$1` within the file `$2`.
-bt_grep_ok() {
-       local -r pattern=$1
-       local -r file=$2
-       local -r test_name=$3
-
-       bt_grep --silent "$pattern" "$file"
-
-       local -r ret=$?
-
-       if ! ok $ret "$test_name"; then
-               {
-                       echo "Pattern \`$pattern\` doesn't match the contents of \`$file\`:"
-                       echo '--- 8< ---'
-                       cat "$file"
-                       echo '--- >8 ---'
-               } >&2
-       fi
+# Only if `tap.sh` is sourced because bt_grep_ok() uses ok()
+if [[ ${SH_TAP:-} == 1 ]]; then
+       # ok() with the test name `$3` on the result of bt_grep() matching
+       # the pattern `$1` within the file `$2`.
+       bt_grep_ok() {
+               local -r pattern=$1
+               local -r file=$2
+               local -r test_name=$3
+
+               bt_grep --silent "$pattern" "$file"
+
+               local -r ret=$?
+
+               if ! ok $ret "$test_name"; then
+                       {
+                               echo "Pattern \`$pattern\` doesn't match the contents of \`$file\`:"
+                               echo '--- 8< ---'
+                               cat "$file"
+                               echo '--- >8 ---'
+                       } >&2
+               fi
 
-       return $ret
-}
+               return $ret
+       }
+fi
 
 # Forwards the arguments to `coverage run`.
-check_coverage() {
+_bt_tests_check_coverage() {
        coverage run "$@"
 }
 
@@ -457,19 +451,13 @@ run_python_bt2() {
 # the testing Python modules (in `tests/utils/python`) and the `bt2`
 # Python package.
 run_python_bt2_test() {
-       local test_dir="$1"
-       local test_pattern="${2:-'*'}"
-
-       local ret
-       local test_runner_args=()
+       local -r test_dir="$1"
+       local -r test_pattern="${2:-'*'}"
 
-       test_runner_args+=("$test_dir")
-       if [ -n "${test_pattern}" ]; then
-               test_runner_args+=("${test_pattern}")
-       fi
+       local python_exec
 
        if test "${BT_TESTS_COVERAGE:-}" = "1"; then
-               python_exec="check_coverage"
+               python_exec="_bt_tests_check_coverage"
        else
                python_exec="${BT_TESTS_PYTHON_BIN}"
        fi
@@ -480,7 +468,7 @@ run_python_bt2_test() {
                --pattern "$test_pattern" \
                "$test_dir" \
 
-       ret=$?
+       local -r ret=$?
 
        if test "${BT_TESTS_COVERAGE_REPORT:-}" = "1"; then
                coverage report -m
@@ -496,10 +484,10 @@ run_python_bt2_test() {
 # Generates a CTF trace into the directory `$2` from the moultipart
 # document `$1` using `mctf.py`.
 gen_mctf_trace() {
-       local input_file="$1"
-       local base_dir="$2"
+       local -r input_file="$1"
+       local -r base_dir="$2"
 
-       diag "Running: ${BT_TESTS_PYTHON_BIN} ${BT_TESTS_SRCDIR}/utils/python/mctf.py --base-dir ${base_dir} ${input_file}"
+       echo "Running: \`${BT_TESTS_PYTHON_BIN} ${BT_TESTS_SRCDIR}/utils/python/mctf.py --base-dir ${base_dir} ${input_file}\`" >&2
        run_python "${BT_TESTS_PYTHON_BIN}" "${BT_TESTS_SRCDIR}/utils/python/mctf.py" \
                --base-dir "${base_dir}" "${input_file}"
 }
This page took 0.026473 seconds and 4 git commands to generate.